## eel-gconf-extensions

eel-gconf-extensions

## Synopsis

    #define             EEL_GCONF_UNDEFINED_CONNECTION
    GConfClient *       eel_gconf_client_get_global         (void);
    gboolean            eel_gconf_handle_error              (GError **error);
    void                eel_gconf_set_boolean               (const char *key,
                                                             gboolean boolean_value);
    gboolean            eel_gconf_get_boolean               (const char *key);
    int                 eel_gconf_get_integer               (const char *key);
    void                eel_gconf_set_integer               (const char *key,
                                                             int int_value);
    gfloat              eel_gconf_get_float                 (const char *key);
    void                eel_gconf_set_float                 (const char *key,
                                                             gfloat float_value);
    char *              eel_gconf_get_string                (const char *key);
    void                eel_gconf_set_string                (const char *key,
                                                             const char *string_value);
    GSList *            eel_gconf_get_string_list           (const char *key);
    void                eel_gconf_set_string_list           (const char *key,
                                                             const GSList *string_list_value);
    gboolean            eel_gconf_is_default                (const char *key);
    gboolean            eel_gconf_monitor_add               (const char *directory);
    gboolean            eel_gconf_monitor_remove            (const char *directory);
    void                eel_gconf_suggest_sync              (void);
    GConfValue*         eel_gconf_get_value                 (const char *key);
    gboolean            eel_gconf_value_is_equal            (const GConfValue *a,
                                                             const GConfValue *b);
    void                eel_gconf_set_value                 (const char *key,
                                                             GConfValue *value);
    void                eel_gconf_value_free                (GConfValue *value);
    GSList *            eel_gconf_get_integer_list          (const char *key);
    void                eel_gconf_set_integer_list          (const char *key,
                                                             const GSList *slist);
    guint               eel_gconf_notification_add          (const char *key,
                                                             GConfClientNotifyFunc notification_callback,
                                                             gpointer callback_data);
    void                eel_gconf_notification_remove       (guint notification_id);
    void                eel_gconf_unset                     (const char *key);

## Description

## Details

### EEL_GCONF_UNDEFINED_CONNECTION

    #define             EEL_GCONF_UNDEFINED_CONNECTION

### eel_gconf_client_get_global ()

    GConfClient *       eel_gconf_client_get_global         (void);

Returns : |

### eel_gconf_handle_error ()

    gboolean            eel_gconf_handle_error              (GError **error);

`error` : |
Returns : |

### eel_gconf_set_boolean ()

    void                eel_gconf_set_boolean               (const char *key,
                                                             gboolean boolean_value);

`key` : |
`boolean_value` : |

### eel_gconf_get_boolean ()

    gboolean            eel_gconf_get_boolean               (const char *key);

`key` : |
Returns : |

### eel_gconf_get_integer ()

    int                 eel_gconf_get_integer               (const char *key);

`key` : |
Returns : |

### eel_gconf_set_integer ()

    void                eel_gconf_set_integer               (const char *key,
                                                             int int_value);

`key` : |
`int_value` : |

### eel_gconf_get_float ()

    gfloat              eel_gconf_get_float                 (const char *key);

`key` : |
Returns : |

### eel_gconf_set_float ()

    void                eel_gconf_set_float                 (const char *key,
                                                             gfloat float_value);

`key` : |
`float_value` : |

### eel_gconf_get_string ()

    char *              eel_gconf_get_string                (const char *key);

`key` : |
Returns : |

### eel_gconf_set_string ()

    void                eel_gconf_set_string                (const char *key,
                                                             const char *string_value);

`key` : |
`string_value` : |

### eel_gconf_get_string_list ()

    GSList *            eel_gconf_get_string_list           (const char *key);

`key` : |
Returns : |

### eel_gconf_set_string_list ()

    void                eel_gconf_set_string_list           (const char *key,
                                                             const GSList *string_list_value);

`key` : |
`string_list_value` : |

### eel_gconf_is_default ()

    gboolean            eel_gconf_is_default                (const char *key);

`key` : |
Returns : |

### eel_gconf_monitor_add ()

    gboolean            eel_gconf_monitor_add               (const char *directory);

`directory` : |
Returns : |

### eel_gconf_monitor_remove ()

    gboolean            eel_gconf_monitor_remove            (const char *directory);

`directory` : |
Returns : |

### eel_gconf_suggest_sync ()

    void                eel_gconf_suggest_sync              (void);

### eel_gconf_get_value ()

    GConfValue*         eel_gconf_get_value                 (const char *key);

`key` : |
Returns : |

### eel_gconf_value_is_equal ()

    gboolean            eel_gconf_value_is_equal            (const GConfValue *a,
                                                             const GConfValue *b);

`a` : |
`b` : |
Returns : |

### eel_gconf_set_value ()

    void                eel_gconf_set_value                 (const char *key,
                                                             GConfValue *value);

`key` : |
`value` : |

### eel_gconf_value_free ()

    void                eel_gconf_value_free                (GConfValue *value);

`value` : |

### eel_gconf_get_integer_list ()

    GSList *            eel_gconf_get_integer_list          (const char *key);

`key` : |
Returns : |

### eel_gconf_set_integer_list ()

    void                eel_gconf_set_integer_list          (const char *key,
                                                             const GSList *slist);

`key` : |
`slist` : |

### eel_gconf_notification_add ()

    guint               eel_gconf_notification_add          (const char *key,
                                                             GConfClientNotifyFunc notification_callback,
                                                             gpointer callback_data);

`key` : |
`notification_callback` : |
`callback_data` : |
Returns : |

### eel_gconf_notification_remove ()

    void                eel_gconf_notification_remove       (guint notification_id);

`notification_id` : |

### eel_gconf_unset ()

    void                eel_gconf_unset                     (const char *key);

`key` : |